/* PAGINACAO */
.listTable{
	padding-bottom:20px;
}
.box-paginacao{
	text-align:center;
}

.box-paginacao button{
	border:1px solid #000;
	padding:6px 10px;
	color:#000;
	border-radius: 5px;
	background: #FFF;
}

.box-paginacao button:hover{
	text-decoration:none;
	background:#d9dfe4;
	color:#000;
}

button.destaque{
	background:#343a40;
	color:#FFF;
}

.mostrar{
	display:inline;
}

.esconder{
	display:none;
}


.center{
	display: flex;
	justify-content: center;
	align-items: center;
	
}

.centerColum{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.cantoEsquerdo{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	
}

/* From Uiverse.io by Yaya12085 */ 
.custum-file-upload {
	height: 200px;
	width: 300px;
	display: flex;
	flex-direction: column;
	align-items: space-between;
	gap: 20px;
	cursor: pointer;
	align-items: center;
	justify-content: center;
	border: 2px dashed #cacaca;
	background-color: rgba(255, 255, 255, 1);
	padding: 1.5rem;
	border-radius: 10px;
	box-shadow: 0px 48px 35px -48px rgba(0,0,0,0.1);
}

.custum-file-upload .icon {
	display: flex;
	align-items: center;
	justify-content: center;
}

.custum-file-upload .icon svg {
	height: 80px;
	fill: rgba(75, 85, 99, 1);
}

.custum-file-upload .text {
	display: flex;
	align-items: center;
	justify-content: center;
}

.custum-file-upload .text span {
	font-weight: 400;
	color: rgba(75, 85, 99, 1);
}

.custum-file-upload input {
	display: none;
}

.mainLoading {
	padding: 0px;
	background: #000;
	position: absolute;
	width: 100%;
	height:100%;
	opacity: 0.8;
	z-index: 999;
	top:0;
}
  
#loadingcontainer {
	position: absolute;
	
	background-color: #000000;
	top: 50vh;
	left: 50%;
	transform: translate(-50%, -55%);
	border-radius: 20%;
	opacity: 0.8;
}

.loader {
	box-sizing: border-box;
	display: inline-block;
	width: 50px;
	height: 80px;
	border-top: 5px solid #fff;
	border-bottom: 5px solid #fff;
	position: relative;
	background: linear-gradient(#FF3D00 30px, transparent 0) no-repeat;
	background-size: 2px 40px;
	background-position: 50% 0px;
	animation: spinx 5s linear infinite;
  }
  
  .loader:before, .loader:after {
	content: "";
	width: 40px;
	left: 50%;
	height: 35px;
	position: absolute;
	top: 0;
	transform: translatex(-50%);
	background: rgba(255, 255, 255, 0.4);
	border-radius: 0 0 20px 20px;
	background-size: 100% auto;
	background-repeat: no-repeat;
	background-position: 0 0px;
	animation: lqt 5s linear infinite;
  }
  
  .loader:after {
	top: auto;
	bottom: 0;
	border-radius: 20px 20px 0 0;
	animation: lqb 5s linear infinite;
  }
  
  @keyframes lqt {
	0%, 100% {
	  background-image: linear-gradient(#FF3D00 40px, transparent 0);
	  background-position: 0% 0px;
	}
  
	50% {
	  background-image: linear-gradient(#FF3D00 40px, transparent 0);
	  background-position: 0% 40px;
	}
  
	50.1% {
	  background-image: linear-gradient(#FF3D00 40px, transparent 0);
	  background-position: 0% -40px;
	}
  }
  
  @keyframes lqb {
	0% {
	  background-image: linear-gradient(#FF3D00 40px, transparent 0);
	  background-position: 0 40px;
	}
  
	100% {
	  background-image: linear-gradient(#FF3D00 40px, transparent 0);
	  background-position: 0 -40px;
	}
  }
  
  @keyframes spinx {
	0%, 49% {
	  transform: rotate(0deg);
	  background-position: 50% 36px;
	}
  
	51%, 98% {
	  transform: rotate(180deg);
	  background-position: 50% 4px;
	}
  
	100% {
	  transform: rotate(360deg);
	  background-position: 50% 36px;
	}
  }
	  
	
  
  